=========
Reference
=========

Client
======

.. autoclass:: barbicanclient.client.Client
   :members:

Secrets
=======

.. autoclass:: barbicanclient.secrets.SecretManager
   :members:

.. autoclass:: barbicanclient.secrets.Secret
   :members:

Orders
======

.. autoclass:: barbicanclient.orders.OrderManager
   :members:

.. autoclass:: barbicanclient.orders.Order
   :members:

.. autoclass:: barbicanclient.orders.KeyOrder
   :members:

.. autoclass:: barbicanclient.orders.AsymmetricOrder
   :members:

Containers
==========

.. autoclass:: barbicanclient.containers.ContainerManager
   :members:

.. autoclass:: barbicanclient.containers.Container
   :members:

.. autoclass:: barbicanclient.containers.RSAContainer
   :members:

.. autoclass:: barbicanclient.containers.CertificateContainer
   :members:

Certificate Authorities
=======================

.. autoclass:: barbicanclient.cas.CAManager
   :members:

.. autoclass:: barbicanclient.cas.CA
   :members:

Exceptions
==========

.. automodule:: barbicanclient.exceptions
    :members:
